QGIS Application - Bug report #9283
Composer PDF export produces blank output if output file in use
2014-01-02 12:05 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17895
Description

If you use the PDF export feature from Composer it will not give an error if unable to create the PDF

e.g. the file is already in use, or else it can generate a blank PDF for no apparent reason.

This is pretty annoying when you are spitting out a series of map sections as PDFs and you discover some of them are blank or an old
version.

QGIS version 2.1.0-Master QGIS code revision c6ab606

Compiled against Qt  4.8.5 Running against Qt 4.8.5

Compiled against GDAL/OGR 1.10.1 Running against GDAL/OGR 1.10.1

Compiled against GEOS 3.4.2-CAPI-1.8.2 Running against GEOS 3.4.2-CAPI-1.8.2 r3921
PostgreSQL Client Version 9.2.4 Spatialite Version 4.1.1

QWT Version 5.2.3 PROJ.4 Version 480

QScintilla2 Version 2.7.2 This copy of QGIS writes debugging output.

Associated revisions

Revision 899c2{8b - 2014-06-26 12:16 PM - Nyall Dawson

[composer] Prevent hang on trying to export compositions and atlases to files which can't be overwritten, and warn user instead (fix #9283) (fix #10016).

Fix mouse cursor getting stuck after failed atlas exports.

History

#1 - 2014-06-07 03:13 AM - Nyall Dawson
- Subject changed from Composer PDF export produces blank output to Composer PDF export produces blank output if output file in use

#2 - 2014-06-26 03:53 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"899c2f8b5dc268ff4cbb11194968b570159e933".
